Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces Core Implementation 4.3.1.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.component
Class UITransient

    java.lang.Object
      javax.faces.component.UIComponent
          javax.faces.component.UIComponentBase
              org.richfaces.component.UITransient

All Implemented Interfaces:
  EventListener, javax.faces.component.PartialStateHolder, javax.faces.component.StateHolder, javax.faces.component.TransientStateHolder, javax.faces.event.ComponentSystemEventListener, javax.faces.event.FacesListener, javax.faces.event.SystemEventListenerHolder

Direct Known Subclasses:
  UIResource, UIScripts

    public abstract class UITransient

extends javax.faces.component.UIComponentBase

Field Summary

Fields inherited from class javax.faces.component.UIComponent
`ATTRS_WITH_DECLARED_DEFAULT_VALUES, BEANINFO_KEY, bindings, COMPOSITE_COMPONENT_TYPE_KEY, COMPOSITE_FACET_NAME, CURRENT_COMPONENT, CURRENT_COMPOSITE_COMPONENT, FACETS_KEY, HONOR_CURRENT_COMPONENT_ATTRIBUTES_PARAM_NAME, VIEW_LOCATION_KEY`

Constructor Summary
`UITransient()`

Method Summary
`protected void` | `addFacesListener(javax.faces.event.FacesListener listener)`
`void` | `broadcast(javax.faces.event.FacesEvent event)`
`void` | `decode(javax.faces.context.FacesContext context)`
`void` | `encodeBegin(javax.faces.context.FacesContext context)`
`void` | `encodeChildren(javax.faces.context.FacesContext context)`
`void` | `encodeEnd(javax.faces.context.FacesContext context)`
`javax.faces.component.UIComponent` | `findComponent(String expr)`
`protected abstract Object` | `getAttribute(Object key)`
`Map<String,Object>` | `getAttributes()`
`int` | `getChildCount()`
`List<javax.faces.component.UIComponent>` | `getChildren()`
`String` | `getClientId(javax.faces.context.FacesContext context)`
`protected javax.faces.context.FacesContext` | `getFacesContext()`
`protected javax.faces.event.FacesListener[]` | `getFacesListeners(Class clazz)`
`javax.faces.component.UIComponent` | `getFacet(String name)`
`Map<String,javax.faces.component.UIComponent>` | `getFacets()`
`Iterator<javax.faces.component.UIComponent>` | `getFacetsAndChildren()`
`String` | `getId()`
`List<javax.faces.event.SystemEventListener>` | `getListenersForEventClass(Class<? extends javax.faces.event.SystemEvent> eventClass)`
`javax.faces.component.UIComponent` | `getParent()`
`protected javax.faces.render.Renderer` | `getRenderer(javax.faces.context.FacesContext context)`
`String` | `getRendererType()`
`boolean` | `getRendersChildren()`
`javax.faces.el.ValueBinding` | `getValueBinding(String name)`
`javax.el.ValueExpression` | `getValueExpression(String name)`
`protected abstract boolean` | `hasAttribute(Object key)`
`boolean` | `isRendered()`
`boolean` | `isTransient()`
`void` | `processDecodes(javax.faces.context.FacesContext context)`
`void` | `processRestoreState(javax.faces.context.FacesContext context, Object state)`
`Object` | `processSaveState(javax.faces.context.FacesContext context)`
`void` | `processUpdates(javax.faces.context.FacesContext context)`
`void` | `processValidators(javax.faces.context.FacesContext context)`
`void` | `queueEvent(javax.faces.event.FacesEvent event)`
`protected void` | `removeFacesListener(javax.faces.event.FacesListener listener)`
`void` | `restoreState(javax.faces.context.FacesContext context, Object state)`
`Object` | `saveState(javax.faces.context.FacesContext context)`
`protected abstract Object` | `setAttribute(String key, Object value)`
`void` | `setId(String id)`
`void` | `setParent(javax.faces.component.UIComponent parent)`
`void` | `setRendered(boolean rendered)`
`void` | `setRendererType(String rendererType)`
`void` | `setTransient(boolean newTransientValue)`
`void` | `setValueBinding(String name, javax.faces.el.ValueBinding binding)`
`void` | `setValueExpression(String name, javax.el.ValueExpression binding)`

Methods inherited from class javax.faces.component.UIComponentBase
`addClientBehavior, clearInitialState, getClientBehaviors, getDefaultEventName, getEventNames, getFacetCount, invokeOnComponent, markInitialState, restoreAttachedState, saveAttachedState, subscribeToEvent, unsubscribeFromEvent`

Methods inherited from class javax.faces.component.UIComponent
`encodeAll, getClientId, getCompositeComponentParent, getContainerClientId, getCurrentComponent, getCurrentCompositeComponent, getFamily, getNamingContainer, getResourceBundleMap, getStateHelper, getStateHelper, getTransientStateHelper, getTransientStateHelper, initialStateMarked, isCompositeComponent, isInView, isVisitable, popComponentFromEL, processEvent, pushComponentToEL, restoreTransientState, saveTransientState, setInView, visitTree`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UITransient

    public UITransient()

Method Detail

### saveState

    public Object saveState(javax.faces.context.FacesContext context)

  Specified by:
    `saveState` in interface `javax.faces.component.StateHolder`
  Overrides:
    `saveState` in class `javax.faces.component.UIComponentBase`

### restoreState

    public void restoreState(javax.faces.context.FacesContext context,
                             Object state)

  Specified by:
    `restoreState` in interface `javax.faces.component.StateHolder`
  Overrides:
    `restoreState` in class `javax.faces.component.UIComponentBase`

### isTransient

    public boolean isTransient()

  Specified by:
    `isTransient` in interface `javax.faces.component.StateHolder`
  Overrides:
    `isTransient` in class `javax.faces.component.UIComponentBase`

### setTransient

    public void setTransient(boolean newTransientValue)

  Specified by:
    `setTransient` in interface `javax.faces.component.StateHolder`
  Overrides:
    `setTransient` in class `javax.faces.component.UIComponentBase`

### getAttributes

    public Map<String,Object> getAttributes()

  Overrides:
    `getAttributes` in class `javax.faces.component.UIComponentBase`

### getValueBinding

    public javax.faces.el.ValueBinding getValueBinding(String name)

  Overrides:
    `getValueBinding` in class `javax.faces.component.UIComponentBase`

### setValueBinding

    public void setValueBinding(String name,
                                javax.faces.el.ValueBinding binding)

  Overrides:
    `setValueBinding` in class `javax.faces.component.UIComponentBase`

### getValueExpression

    public javax.el.ValueExpression getValueExpression(String name)

  Overrides:
    `getValueExpression` in class `javax.faces.component.UIComponent`

### setValueExpression

    public void setValueExpression(String name,
                                   javax.el.ValueExpression binding)

  Overrides:
    `setValueExpression` in class `javax.faces.component.UIComponent`

### getClientId

    public String getClientId(javax.faces.context.FacesContext context)

  Overrides:
    `getClientId` in class `javax.faces.component.UIComponentBase`

### getId

    public String getId()

  Overrides:
    `getId` in class `javax.faces.component.UIComponentBase`

### setId

    public void setId(String id)

  Overrides:
    `setId` in class `javax.faces.component.UIComponentBase`

### getParent

    public javax.faces.component.UIComponent getParent()

  Overrides:
    `getParent` in class `javax.faces.component.UIComponentBase`

### setParent

    public void setParent(javax.faces.component.UIComponent parent)

  Overrides:
    `setParent` in class `javax.faces.component.UIComponentBase`

### isRendered

    public boolean isRendered()

  Overrides:
    `isRendered` in class `javax.faces.component.UIComponentBase`

### setRendered

    public void setRendered(boolean rendered)

  Overrides:
    `setRendered` in class `javax.faces.component.UIComponentBase`

### getRendererType

    public String getRendererType()

  Overrides:
    `getRendererType` in class `javax.faces.component.UIComponentBase`

### setRendererType

    public void setRendererType(String rendererType)

  Overrides:
    `setRendererType` in class `javax.faces.component.UIComponentBase`

### getRendersChildren

    public boolean getRendersChildren()

  Overrides:
    `getRendersChildren` in class `javax.faces.component.UIComponentBase`

### getChildren

    public List<javax.faces.component.UIComponent> getChildren()

  Overrides:
    `getChildren` in class `javax.faces.component.UIComponentBase`

### getChildCount

    public int getChildCount()

  Overrides:
    `getChildCount` in class `javax.faces.component.UIComponentBase`

### findComponent

    public javax.faces.component.UIComponent findComponent(String expr)

  Overrides:
    `findComponent` in class `javax.faces.component.UIComponentBase`

### getFacets

    public Map<String,javax.faces.component.UIComponent> getFacets()

  Overrides:
    `getFacets` in class `javax.faces.component.UIComponentBase`

### getFacet

    public javax.faces.component.UIComponent getFacet(String name)

  Overrides:
    `getFacet` in class `javax.faces.component.UIComponentBase`

### getFacetsAndChildren

    public Iterator<javax.faces.component.UIComponent> getFacetsAndChildren()

  Overrides:
    `getFacetsAndChildren` in class `javax.faces.component.UIComponentBase`

### broadcast

    public void broadcast(javax.faces.event.FacesEvent event)
                   throws javax.faces.event.AbortProcessingException

  Overrides:
    `broadcast` in class `javax.faces.component.UIComponentBase`
  Throws:
    `javax.faces.event.AbortProcessingException`

### decode

    public void decode(javax.faces.context.FacesContext context)

  Overrides:
    `decode` in class `javax.faces.component.UIComponentBase`

### encodeBegin

    public void encodeBegin(javax.faces.context.FacesContext context)
                     throws IOException

  Overrides:
    `encodeBegin` in class `javax.faces.component.UIComponentBase`
  Throws:
    `IOException`

### encodeChildren

    public void encodeChildren(javax.faces.context.FacesContext context)
                        throws IOException

  Overrides:
    `encodeChildren` in class `javax.faces.component.UIComponentBase`
  Throws:
    `IOException`

### encodeEnd

    public void encodeEnd(javax.faces.context.FacesContext context)
                   throws IOException

  Overrides:
    `encodeEnd` in class `javax.faces.component.UIComponentBase`
  Throws:
    `IOException`

### addFacesListener

    protected void addFacesListener(javax.faces.event.FacesListener listener)

  Overrides:
    `addFacesListener` in class `javax.faces.component.UIComponentBase`

### getFacesListeners

    protected javax.faces.event.FacesListener[] getFacesListeners(Class clazz)

  Overrides:
    `getFacesListeners` in class `javax.faces.component.UIComponentBase`

### removeFacesListener

    protected void removeFacesListener(javax.faces.event.FacesListener listener)

  Overrides:
    `removeFacesListener` in class `javax.faces.component.UIComponentBase`

### queueEvent

    public void queueEvent(javax.faces.event.FacesEvent event)

  Overrides:
    `queueEvent` in class `javax.faces.component.UIComponentBase`

### processRestoreState

    public void processRestoreState(javax.faces.context.FacesContext context,
                                    Object state)

  Overrides:
    `processRestoreState` in class `javax.faces.component.UIComponentBase`

### processDecodes

    public void processDecodes(javax.faces.context.FacesContext context)

  Overrides:
    `processDecodes` in class `javax.faces.component.UIComponentBase`

### processValidators

    public void processValidators(javax.faces.context.FacesContext context)

  Overrides:
    `processValidators` in class `javax.faces.component.UIComponentBase`

### processUpdates

    public void processUpdates(javax.faces.context.FacesContext context)

  Overrides:
    `processUpdates` in class `javax.faces.component.UIComponentBase`

### processSaveState

    public Object processSaveState(javax.faces.context.FacesContext context)

  Overrides:
    `processSaveState` in class `javax.faces.component.UIComponentBase`

### getFacesContext

    protected javax.faces.context.FacesContext getFacesContext()

  Overrides:
    `getFacesContext` in class `javax.faces.component.UIComponentBase`

### getRenderer

    protected javax.faces.render.Renderer getRenderer(javax.faces.context.FacesContext context)

  Overrides:
    `getRenderer` in class `javax.faces.component.UIComponentBase`

### getListenersForEventClass

    public List<javax.faces.event.SystemEventListener> getListenersForEventClass(Class<? extends javax.faces.event.SystemEvent> eventClass)

  Specified by:
    `getListenersForEventClass` in interface `javax.faces.event.SystemEventListenerHolder`
  Overrides:
    `getListenersForEventClass` in class `javax.faces.component.UIComponentBase`

### hasAttribute

    protected abstract boolean hasAttribute(Object key)

### setAttribute

    protected abstract Object setAttribute(String key,
                                           Object value)

### getAttribute

    protected abstract Object getAttribute(Object key)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces Core Implementation 4.3.1.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2013 JBoss by Red Hat. All Rights Reserved.